/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 新增奖励申请跟踪 POST /api/ParkReward/AddParkRewardApplyFollow */
export async function addParkRewardApplyFollow(
  body: API.CreateParkRewardApplyFollowInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkReward/AddParkRewardApplyFollow', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 新增或修改政策福利 POST /api/ParkReward/CreateOrEditParkReward */
export async function createOrEditParkReward(
  body: API.CreateOrEditParkRewardInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkReward/CreateOrEditParkReward', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 新增或修改奖励申请 POST /api/ParkReward/CreateOrEditParkRewardApply */
export async function createOrEditParkRewardApply(
  body: API.CreateOrEditParkRewardApplyInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkReward/CreateOrEditParkRewardApply', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 删除奖励申请 GET /api/ParkReward/DeleteParkRewardApply */
export async function deleteParkRewardApply(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIdeleteParkRewardApplyParams,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkReward/DeleteParkRewardApply', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取企业奖励金流水 POST /api/ParkReward/GetEnterpriseBuntyTradeList */
export async function getEnterpriseBuntyTradeList(
  body: API.PageInput,
  options?: API.RequestConfig
) {
  return request<API.GetEnterpriseBuntyTradeDtoPageOutput>(
    '/api/ParkReward/GetEnterpriseBuntyTradeList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取最新奖励申请信息 GET /api/ParkReward/GetNewestParkRewardApplyInfo */
export async function getNewestParkRewardApplyInfo(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetNewestParkRewardApplyInfoParams,
  options?: API.RequestConfig
) {
  return request<API.ParkRewardApplyFollowDto>('/api/ParkReward/GetNewestParkRewardApplyInfo', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 运营端一园区客户管理详情一奖励金消费记录 POST /api/ParkReward/GetParkCustomerBountyConsumptionList */
export async function getParkCustomerBountyConsumptionList(
  body: API.QueryParkCustomerBountyApplyInput,
  options?: API.RequestConfig
) {
  return request<API.GetParkCustomerBountyConsumptionOutputPageOutput>(
    '/api/ParkReward/GetParkCustomerBountyConsumptionList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取奖励申请跟踪列表 POST /api/ParkReward/GetParkRewardApplyFollowList */
export async function getParkRewardApplyFollowList(
  body: API.GetParkRewardApplyFollowInput,
  options?: API.RequestConfig
) {
  return request<API.ParkRewardApplyFollowDtoPageOutput>(
    '/api/ParkReward/GetParkRewardApplyFollowList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取奖励申请详情 GET /api/ParkReward/GetParkRewardApplyInfoById */
export async function getParkRewardApplyInfoById(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetParkRewardApplyInfoByIdParams,
  options?: API.RequestConfig
) {
  return request<API.ParkRewardApplyInfoDto>('/api/ParkReward/GetParkRewardApplyInfoById', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取奖励申请列表 POST /api/ParkReward/GetParkRewardApplyList */
export async function getParkRewardApplyList(
  body: API.GetParkRewardApplyInput,
  options?: API.RequestConfig
) {
  return request<API.ParkRewardApplyDtoPageOutput>('/api/ParkReward/GetParkRewardApplyList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取政策福利明细详情 GET /api/ParkReward/GetParkRewardDetail */
export async function getParkRewardDetail(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetParkRewardDetailParams,
  options?: API.RequestConfig
) {
  return request<API.ParkRewardOutPut>('/api/ParkReward/GetParkRewardDetail', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取政策福利明细 POST /api/ParkReward/GetParkRewardList */
export async function getParkRewardList(body: API.GetParkRewardInput, options?: API.RequestConfig) {
  return request<API.ParkRewardOutPutPageOutput>('/api/ParkReward/GetParkRewardList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 前端获取政策福利列表 GET /api/ParkReward/GetParkRewardListForWeb */
export async function getParkRewardListForWeb(options?: API.RequestConfig) {
  return request<API.ParkRewardOutPut[]>('/api/ParkReward/GetParkRewardListForWeb', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 设置政策福利状态 POST /api/ParkReward/SetParkRewardStatus */
export async function setParkRewardStatus(
  body: API.SetParkRewardStatusInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkReward/SetParkRewardStatus', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
